API ReferenceWebhook Endpoints

List webhook endpointsv3.0

Markdown
GET
/api/v3/webhook_endpoints

Lists webhook endpoints for the authenticated project, optionally filtered by toolkit.

x-api-key<token>

Project API key authentication

In: header

Query Parameters

toolkit_slugstring

Filter by toolkit slug

Response Body

application/json

application/json

application/json

curl -X GET "https://backend.composio.dev/api/v3/webhook_endpoints"
{
  "items": [
    {
      "id": "string",
      "toolkit_slug": "string",
      "client_id": "string"
    }
  ]
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}